import pygame

def play_audio(file_path):
    """
    播放音频文件（阻塞式）。
    :param file_path: 要播放的音频文件路径
    """
    try:
        print(f"正在播放音频：{file_path}")
        # 初始化 pygame.mixer
        pygame.mixer.init()
        pygame.mixer.music.load(file_path)
        pygame.mixer.music.play()

        # 等待音频播放完成
        while pygame.mixer.music.get_busy():
            pygame.time.Clock().tick(10)  # 每秒检查 10 次
        print("音频播放完成！")
    except Exception as e:
        print(f"播放音频时发生错误：{e}")
    finally:
        pygame.mixer.quit()
