import os
import time
from pydub import AudioSegment
from pydub.playback import play

# 配置录音和播放设备
DEVICE = "plughw:3,0"  # 替换为你的录音设备编号

def record_audio(file_name, duration=3):
    """
    录制音频
    :param file_name: 保存录音的文件名
    :param duration: 录音时长（秒）
    """
    print("开始录音...")
    os.system(f"arecord -D {DEVICE} -f cd -t wav -d {duration} {file_name}")
    print("录音结束！")

def play_audio(file_name):
    """
    播放音频
    :param file_name: 要播放的音频文件名
    """
    print("播放录音...")
    sound = AudioSegment.from_file(file_name, format="wav")
    play(sound)

def main():
    """
    主逻辑：录音 -> 等待1秒 -> 播放
    """
    while True:
        print("\n语音助手已启动，准备录音...")
        audio_file = "response.wav"

        # 录音
        record_audio(audio_file, duration=3)

        # 等待 1 秒
        time.sleep(1)

        # 播放录音
        play_audio(audio_file)

if __name__ == "__main__":
    main()
